.TH RNASUBOPT l
.ER
.SH NAME
RNAsubopt \- calculate suboptimal secondary structures of RNAs
.SH SYNOPSIS
\fBRNAsubopt [\-e\ \fIrange\fP] [\-ep prange] [\-s] [\-lodos] [\-T\ \fItemp\fP] [\-d[0|1|2|3]] [\-4] [\-noGU] [\-noCloseGU] [\-P\ paramfile] [\-logML] [\-nsp\ pairs]

.SH DESCRIPTION
.I RNAsubopt 
reads RNA sequences from stdin and calculates all suboptimal secondary
structures within a user defined energy range above the minimum free
energy (mfe). It prints the suboptimal structures in bracket notation
followed by the energy in kcal/mol to stdout.
The number of structures returned typically grows exponentially with both 
sequence length and energy range.
.SH OPTIONS
.B \-e\ \fIrange\fP
Calculate suboptimal structures within \fIrange\fP kcal/mol of the mfe. 
Default is 1.
.TP
.B \-s
Sort the structures by energy. Uses more memory and CPU
time. For larger calculations, better pipe the output through `sort +1n'.
.TP
.B \-lodos 
Calculate the Lower Density of States. Output lines consist of an energy
followed by the number of structures with that energy, suitable for
plotting the density of states. Does not print the structures themselves.
.TP
.B \-d[0|1|2|3]
Change treatment of dangling ends, as in RNAfold and RNAeval.
The default is -d2 (as in partition function folding). If -d1 or -d3 are
specified energies are re-evaluated before printing, which may incur a
performance penalty (see also -ep and -logML).
.TP
.B \-logML
re-calculate energies of structures using a logarithmic energy function for
multi-loops. This option does not effect structure generation, only the
energies that is printed out. Since logML lowers energies somewhat, some
structures may be missing.
.TP
.B \-ep \fIprange\fP
Only print structures with energy within prange of the mfe. Useful in
conjunction with -logML, -d1 or -d3.
.TP
.B \-noLP
Only produce structures without lonely pairs (helices of length 1). This
reduces the number of structures drastically and should therefore be used
for longer sequences and larger energy ranges.
.PP
The \fB\-T\fP, \fB\-4\fP, \fB\-noGU\fP, \fB\-noCloseGU\fP, 
\fB\-P\fP, \fB\-nsp\fP, options work as in RNAfold.
.TP

.SH REFERENCES
Please cite:
.br
S. Wuchty, W. Fontana, I. L. Hofacker and P. Schuster
"Complete Suboptimal Folding of RNA and the Stability of
Secondary Structures",
Biopolymers, 49, 145-165 (1999)

.SH AUTHORS
Stefan Wuchty, Ivo L Hofacker, Walter Fontana.
\"  LocalWords:  RNASUBOPT RNAsubopt suboptimal RNAs fBRNAsubopt fIrange fP ep
\"  LocalWords:  prange lodos fItemp noGU noCloseGU paramfile logML nsp stdin
\"  LocalWords:  mfe kcal mol stdout TP RNAfold RNAeval multi fIprange noLP fB
\"  LocalWords:  br Wuchty Fontana Hofacker Schuster Biopolymers Ivo
