.TH RNAEVAL l
.ER
.SH NAME
RNAEVAL \- calculate energy of RNA sequences on given secondary structure
.SH SYNOPSIS
\fBRNAeval [\-T \fItemp\fP] [\-4] [\-d[0|1|2|3]] [\-logML] [\-e \fI1|2\fP] [\-P \fIparamfile\fP]
.SH DESCRIPTION
.I RNAeval
evaluates the free energy of an RNA molecule in fixed secondary
structure. Sequences and structures are read alternately from stdin. 
The energy in Kcal/Mol is written to stdout.
.br
The program will continue to read new sequences and structures until a
line consisting of the single character @ or an end of file condition
is encountered. 
.SH OPTIONS
.IP \fB\-d\fB
Do not give stabilizing energies to unpaired bases adjacent to helices in
multiloops and free ends ("dangling ends"). Same as -d0, opposite of -d1
(the default).
.IP \fB\-d2\fB
Treat dangling ends as in the partition function algorithm, i.e. bases
adjacent to helices in multiloops and free ends give a stabilizing energy
contribution, regardless whether they're paired or unpaired.
.IP \fB\-d3\fB
Allow coaxial stacking of adjacent helices in multi-loops.
.IP \fB\-logML\fB
Let multiloop energies depend logarithmically on the size, instead of the
usual linear energy function.
.PP
The \fB\-T\fP, \fB\-4\fP, \fB\-e\fP, \fB\-P\fP, options work as in RNAfold.
.SH REFERENCES
If you use this program in your work you might want to cite:
.PP
I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster 
(1994)
Fast Folding and Comparison of RNA Secondary Structures.
Monatshefte f. Chemie 125: 167-188
.SH VERSION
This man page documents version 1.4 Vienna RNA Package
.SH AUTHOR
Ivo L Hofacker and Peter F Stadler.
.SH BUGS
If in doubt our program is right, nature is at fault.
Comments should be sent to ivo@tbi.univie.ac.at.
.br
